Bug 571339 - Locked shift when watching tvtime
Summary: Locked shift when watching tvtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tvtime
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 08:09 UTC by Jan ONDREJ
Modified: 2010-11-19 22:33 UTC (History)
1 user (show)

Fixed In Version: tvtime-1.0.2-14.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 22:28:01 UTC
Type: ---


Attachments (Terms of Use)

Description Jan ONDREJ 2010-03-08 08:09:42 UTC
Description of problem:
When tvtime is running and I am working in other window (for example in rxterm now, but I think it does not matter), when SHIFT key is pressed in wrong time, it's locked. Then all keys are giving char as if SHIFT is hold.

Version-Release number of selected component (if applicable):
I am seeing this problem from at least Fedora 11.

How reproducible:
sometimes, always if you try to reproduce as described below

Steps to Reproduce:
1. run tvtime
2. open terminal window and select terminal
3. hold SHIFT+3 for at least 60 seconds
  
Actual results:
####################################################################################################################################################################################################################################################################################3333333333333333333333333333333333333333333333

Expected results:
Only "####" no 3333 chars.

Additional info:
If this happens, unable to unlock SHIFT lock by only pressing shift. I need to do reproduce steps again to unlock.

Comment 1 Tomas Smetana 2010-03-08 08:45:38 UTC
Hello,
  thanks for reporting.  I would bet it's the (silly) way tvtime disables screensaver that causes this weirdnes.  I'll see what I would be able to do with that.

Regards.

Comment 2 Jan ONDREJ 2010-06-19 15:29:03 UTC
Same problem if no xscreensaver or other screensaver running. I think it's less often without running screensaver, but still happens sometimes.

Comment 3 Bug Zapper 2010-11-03 20:29:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jan ONDREJ 2010-11-03 20:34:07 UTC
Same problem on Fedora 13. May be occurs less times.

Comment 5 Tomas Smetana 2010-11-08 10:37:35 UTC
Hello.
  I admit I have forgotten about this one a bit. However: The magnificent Debian guys already seem to have patch for the issue so I just bent it a little. I might get to the testing in the evening.

Just in case -- I uploaded the testing packages to http://tsmetana.fedorapeople.org/tvtime-571339.test/

Regards.

Comment 6 Jan ONDREJ 2010-11-08 12:03:54 UTC
Thank you. Looking that your packages are 64bit only and I have only a 32bit system. Please make a build in koji and I will test them. Thank you.

Comment 7 Fedora Update System 2010-11-08 21:16:19 UTC
tvtime-1.0.2-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tvtime-1.0.2-14.fc14

Comment 8 Fedora Update System 2010-11-08 21:30:27 UTC
tvtime-1.0.2-14.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tvtime-1.0.2-14.fc13

Comment 9 Fedora Update System 2010-11-10 01:07:12 UTC
tvtime-1.0.2-14.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tvtime'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tvtime-1.0.2-14.fc14

Comment 10 Tomas Smetana 2010-11-19 08:16:20 UTC
Jan,
  thank you for your feedback in Bodhi.

Comment 11 Fedora Update System 2010-11-19 22:27:54 UTC
tvtime-1.0.2-14.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-19 22:33:34 UTC
tvtime-1.0.2-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.